SQUIZZ(1)

NAME

squizz - Sequence format checker

SYNOPSIS
squizz [-AShlns] [-c format] [-f format] file

OPTIONS
Following command line options are allowed:

-A  Restrict detection/verification to alignment formats (conflict with -S option).

-S  Restrict detection/verification to sequence formats (conflict with -A option).

-c format
    Convert detected sequence/alignment into format. This option implies strict alignment checking.

-f format
    Assume input format is format. Do not try to detect the format, just verify that the given one is correct.

-h  Usage display.

-l  List all supported formats.

-n  Count and report detected entries. This option is only available when the detection is restricted to a single type (with -A or -S options) and strict checks (without -s option) are enabled.

-s  Disable strict format checks (enabled by default).

DESCRIPTION
squizz is a sequence format file checker, but it has some conversion capabilities too.

squizz can detect the most common sequence and alignment formats :

* CODATA, EMBL, FASTA, GCG, GDE, GENBANK, IG, NBRF (pir), RAW, and SWISSPROT.

* CLUSTAL, FASTA, MSF, NEXUS, PHYLIP (interleaved and sequential) and STOCKHOLM.

squizz can do some conversions too, if the format the input format is supported. Only 3 types are available : sequence to sequence, alignment to alignment, and alignment to sequence (the last one, sequence to alignment, require multiple alignments algorithms and cannot be handled with formatting tools).

Strict format checks validate the previously detected objects, by making some sanity checks:

- sequence strings must exists.
- alignment is made of more than one sequence.
- alignment sequence strings must have the same length.
- alignment sequence names must exists, and be unique.

SEE ALSO

seqfmt(5), alifmt(5)

AUTHOR
Nicolas Joly (njoly@pasteur.fr), Institut Pasteur.